GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
gdb.FrameDecorator.SymValueWrapper Class Reference
Inheritance diagram for gdb.FrameDecorator.SymValueWrapper:

## Public Member Functions
def | __init__ (self, symbol, value)
def | value (self)
def | symbol (self)
def | __init__ (self, symbol, value)
def | value (self)
def | symbol (self)

## Public Attributes
| sym
| val

## Detailed Description

    A container class conforming to the Symbol/Value interface
    which holds frame locals or frame arguments.

Definition at line 206 of file FrameDecorator.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.FrameDecorator.SymValueWrapper.__init__ | ( |  | self,
|  |  | symbol,
|  |  | value
| ) |  |

Definition at line 209 of file FrameDecorator.py.

Referenced by gdb.FrameDecorator.SymValueWrapper.__init__().

## ◆ __init__() [2/2]

def gdb.FrameDecorator.SymValueWrapper.__init__ | ( |  | self,
|  |  | symbol,
|  |  | value
| ) |  |

Definition at line 209 of file FrameDecorator.py.

References gdb.FrameDecorator.SymValueWrapper.__init__(), symbol_error.sym, name_info.sym, btrace_function.sym, gdb.FrameDecorator.SymValueWrapper.sym, YYSTYPE.sym, cache_entry.sym, gdb.FrameDecorator.SymValueWrapper.val, YYSTYPE.val, and watchpoint.val.

## Member Function Documentation

## ◆ symbol() [1/2]

def gdb.FrameDecorator.SymValueWrapper.symbol | ( |  | self | ) |

    Return the symbol, or Python text, associated with this
    symbol, or None

Definition at line 217 of file FrameDecorator.py.

References symbol_error.sym, name_info.sym, btrace_function.sym, gdb.FrameDecorator.SymValueWrapper.sym, YYSTYPE.sym, and cache_entry.sym.

Referenced by gdb.FrameDecorator.SymValueWrapper.symbol().

## ◆ symbol() [2/2]

def gdb.FrameDecorator.SymValueWrapper.symbol | ( |  | self | ) |

    Return the symbol, or Python text, associated with this
    symbol, or None

Definition at line 217 of file FrameDecorator.py.

References symbol_error.sym, name_info.sym, btrace_function.sym, gdb.FrameDecorator.SymValueWrapper.sym, YYSTYPE.sym, cache_entry.sym, and gdb.FrameDecorator.SymValueWrapper.symbol().

## ◆ value() [1/2]

def gdb.FrameDecorator.SymValueWrapper.value | ( |  | self | ) |

    Return the value associated with this symbol, or None

Definition at line 213 of file FrameDecorator.py.

References gdb.FrameDecorator.SymValueWrapper.val, YYSTYPE.val, watchpoint.val, and gdb.FrameDecorator.SymValueWrapper.value().

## ◆ value() [2/2]

def gdb.FrameDecorator.SymValueWrapper.value | ( |  | self | ) |

    Return the value associated with this symbol, or None

Definition at line 213 of file FrameDecorator.py.

References gdb.FrameDecorator.SymValueWrapper.val, YYSTYPE.val, and watchpoint.val.

Referenced by gdb.FrameDecorator.SymValueWrapper.value().

## Member Data Documentation

## ◆ sym

gdb.FrameDecorator.SymValueWrapper.sym

Definition at line 210 of file FrameDecorator.py.

Referenced by gdb.FrameDecorator.SymValueWrapper.__init__(), and gdb.FrameDecorator.SymValueWrapper.symbol().

## ◆ val

gdb.FrameDecorator.SymValueWrapper.val

Definition at line 211 of file FrameDecorator.py.

Referenced by gdb.printer.bound_registers.MpxBound128Printer.__init__(), gdb.FrameDecorator.SymValueWrapper.__init__(), gdb.printing._EnumInstance.__init__(), gdb-gdb.TypeFlagsPrinter.__str__(), gdb-gdb.StructMainTypePrettyPrinter.bounds_img(), gdb-gdb.StructMainTypePrettyPrinter.flags_to_string(), gdb-gdb.StructMainTypePrettyPrinter.owner_to_string(), gdb-gdb.StructMainTypePrettyPrinter.struct_field_img(), gdb.printer.bound_registers.MpxBound128Printer.to_string(), gdb-gdb.StructTypePrettyPrinter.to_string(), gdb-gdb.StructMainTypePrettyPrinter.to_string(), gdb.printing._EnumInstance.to_string(), gdb-gdb.StructMainTypePrettyPrinter.type_specific_img(), and gdb.FrameDecorator.SymValueWrapper.value().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/FrameDecorator.py